using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Armor
{
    public class AttachmentBehaviour : MonoBehaviour
    {
        public Attachment attachment;
        void OnCollisionEnter2D(Collision2D collision)
        {
            ArmorBehaviour armor = collision.GetComponent<ArmorBehaviour>();
            if (armor)
                Attach(armor);
        }
        void Attach(ArmorBehaviour armor)
        {
            armor.attachments.Add(attachment);
            armor.UpdateAttachments();
        }
    }
}